Bug 23228 - Add option to automatically display payment receipt for printing after making a payment
Summary: Add option to automatically display payment receipt for printing after making...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low new feature (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 13985 23461 23507 23806
  Show dependency treegraph
 
Reported: 2019-06-27 16:12 UTC by Kyle M Hall
Modified: 2019-10-11 16:08 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
This enhancement adds the optional ability to automatically popup the receipt print dialogue upon successful payments in the staff client. Note: The new `FinePaymentAutoPopup` must be enabled and popup blocker may require setting to allow popups for your Koha staff client domain.
Version(s) released in:
19.11.00


Attachments
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.38 KB, patch)
2019-06-27 16:16 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.64 KB, patch)
2019-07-09 11:24 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.22 KB, patch)
2019-07-19 12:13 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.34 KB, patch)
2019-07-19 18:33 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.44 KB, patch)
2019-07-19 19:21 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.45 KB, patch)
2019-08-08 14:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23228: (QA follow-up) Fix the DB update (1.87 KB, patch)
2019-08-08 14:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23228: (QA follow-up) Add required filters (3.16 KB, patch)
2019-08-08 14:22 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23228: Add option to automatically display payment receipt for printing after making a payment (11.51 KB, patch)
2019-08-08 14:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23228: (QA follow-up) Fix the DB update (1.87 KB, patch)
2019-08-08 14:25 UTC, Martin Renvoize
Details | Diff | Splinter Review
Bug 23228: (QA follow-up) Add required filters (3.16 KB, patch)
2019-08-08 14:25 UTC, Martin Renvoize
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2019-06-27 16:12:23 UTC
Some libraries would like an auto-popup after making a payment so librarians don't have to navigate to the accounts page, locate the new payment, then click the print button.
Comment 1 Kyle M Hall 2019-06-27 16:16:35 UTC Comment hidden (obsolete)
Comment 2 Maryse Simard 2019-07-05 20:23:50 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2019-07-09 11:24:53 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2019-07-18 13:57:45 UTC Comment hidden (obsolete)
Comment 5 Kyle M Hall 2019-07-19 12:13:39 UTC
Created attachment 91652 [details] [review]
Bug 23228: Add option to automatically display payment receipt for printing after making a payment

Some libraries would like an auto-popup after making a payment so librarians don't have
to navigate to the accounts page, locate the new payment, then click the print button.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Make a payment, note no difference in behavior
4) Enable the new syspref FinePaymentAutoPopup
5) Make a payment, note the popup for the payment receipt
Comment 6 Kyle M Hall 2019-07-19 12:14:14 UTC
Thanks for the catch Owen!

(In reply to Owen Leonard from comment #4)
> Looks like this needs a re-rebase:
> 
> +<<<<<<< HEAD
>                  $account->pay(
> +=======
Comment 7 Owen Leonard 2019-07-19 13:10:15 UTC
This doesn't seem to respect the new preference. I'm getting the pop-up whether or not FinePaymentAutoPopup is enabled.

Also: The atomicupdate file needed some tweaking to run correctly.
Comment 8 Kyle M Hall 2019-07-19 18:33:57 UTC
Created attachment 91660 [details] [review]
Bug 23228: Add option to automatically display payment receipt for printing after making a payment

Some libraries would like an auto-popup after making a payment so librarians don't have
to navigate to the accounts page, locate the new payment, then click the print button.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Make a payment, note no difference in behavior
4) Enable the new syspref FinePaymentAutoPopup
5) Make a payment, note the popup for the payment receipt
Comment 9 ByWater Sandboxes 2019-07-19 19:21:33 UTC
Created attachment 91665 [details] [review]
Bug 23228: Add option to automatically display payment receipt for printing after making a payment

Some libraries would like an auto-popup after making a payment so librarians don't have
to navigate to the accounts page, locate the new payment, then click the print button.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Make a payment, note no difference in behavior
4) Enable the new syspref FinePaymentAutoPopup
5) Make a payment, note the popup for the payment receipt

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Comment 10 Martin Renvoize 2019-08-08 14:22:43 UTC
Created attachment 92073 [details] [review]
Bug 23228: Add option to automatically display payment receipt for printing after making a payment

Some libraries would like an auto-popup after making a payment so librarians don't have
to navigate to the accounts page, locate the new payment, then click the print button.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Make a payment, note no difference in behavior
4) Enable the new syspref FinePaymentAutoPopup
5) Make a payment, note the popup for the payment receipt

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 11 Martin Renvoize 2019-08-08 14:22:47 UTC
Created attachment 92074 [details] [review]
Bug 23228: (QA follow-up) Fix the DB update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 12 Martin Renvoize 2019-08-08 14:22:50 UTC
Created attachment 92075 [details] [review]
Bug 23228: (QA follow-up) Add required filters

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 13 Martin Renvoize 2019-08-08 14:25:40 UTC
Created attachment 92076 [details] [review]
Bug 23228: Add option to automatically display payment receipt for printing after making a payment

Some libraries would like an auto-popup after making a payment so librarians don't have
to navigate to the accounts page, locate the new payment, then click the print button.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Make a payment, note no difference in behavior
4) Enable the new syspref FinePaymentAutoPopup
5) Make a payment, note the popup for the payment receipt

Signed-off-by: Lisette Scheer <lisettes@latahlibrary.org>
Rescued-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 14 Martin Renvoize 2019-08-08 14:25:43 UTC
Created attachment 92077 [details] [review]
Bug 23228: (QA follow-up) Fix the DB update

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 15 Martin Renvoize 2019-08-08 14:25:46 UTC
Created attachment 92078 [details] [review]
Bug 23228: (QA follow-up) Add required filters

Signed-off-by: Martin Renvoize <martin.renvoize@ptfs-europe.com>
Comment 16 Martin Renvoize 2019-08-08 14:26:23 UTC
Rescued and passing QA
Comment 17 Martin Renvoize 2019-08-08 14:31:20 UTC
Nice work!

Pushed to master for 19.11.00
Comment 18 Fridolin SOMERS 2019-08-09 14:10:21 UTC
Enhancement not pushed to 19.05.x